

/* Linker section for memory region EXTFLASH for  TEXT section  */

	SECTION_PROLOGUE(.extflash_text_reloc,,)
        {
                . = ALIGN(4);
                
                KEEP(*main.c.obj(.rel.text.main))

                KEEP(*main.c.obj(.text.main))

                . = ALIGN(4);
	} 
#ifdef CONFIG_XIP
GROUP_DATA_LINK_IN(EXTFLASH , ROMABLE_REGION)
#else
GROUP_DATA_LINK_IN(EXTFLASH , EXTFLASH )
#endif

        __extflash_text_reloc_end = .;
        __extflash_text_reloc_start = ADDR(.extflash_text_reloc);
        __extflash_text_reloc_size = __extflash_text_reloc_end - __extflash_text_reloc_start;

        __extflash_text_rom_start = LOADADDR(.extflash_text_reloc);


/* Linker section for memory region EXTFLASH for RODATA section  */

	SECTION_PROLOGUE(.extflash_rodata_reloc,,)
        {
                __extflash_rodata_reloc_start = .;
                
                KEEP(*main.c.obj(.rodata.main.str1.1))

#if 0
                . = ALIGN(0);
#else
                MPU_ALIGN(__extflash_rodata_reloc_size);
#endif
                __extflash_rodata_reloc_end = .;
	} 
#ifdef CONFIG_XIP
GROUP_DATA_LINK_IN(EXTFLASH , ROMABLE_REGION)
#else
GROUP_DATA_LINK_IN(EXTFLASH , EXTFLASH )
#endif

        __extflash_rodata_reloc_size = __extflash_rodata_reloc_end - __extflash_rodata_reloc_start;

        __extflash_rodata_rom_start = LOADADDR(.extflash_rodata_reloc);
